{% extends "views/default/base.html" %}

{% load static %}

{% block title %}Creacion de Producto{% endblock %}
{% block css %}

{% endblock css %}
{% block content %}
<div class="wrapper">
    <!-- Navbar -->
    {% include "views/default/header.html" %}
    <!-- /.navbar -->
    <!-- Main Sidebar Container -->
    {% include "views/default/menu.html" %}
    <div class="content-wrapper">
        <div class="content-header">
        </div>
        <section class="content">
            <div class="container-fluid">
                <div >
                    <div class="col-md-10 offset-md-7 mr-auto ml-auto">               
                        <!-- Default box -->
                        <form action="." method="post" class="" enctype="multipart/form-data" autocomplete="off">
                            <div class="card card-info mb-4">
                                <div class="card-header">
                                    <h3 class="m-0 font-weight-bold card-title">Formulario de Productos</h3>
                                </div>
                                <div class="card-body">
                                    <div class="form-group">
                                        {% csrf_token %}
                                        <input type="hidden" name="action" value="{{ action }}">
                                        
                                        <div class="row form-group">
                                            
                                            <div class="col-6">
                                                
                                                    
                                        
                                                    <div >
                                                        <label for="" id="" class="form-control-label">Precio de Compra:</label>
                                                       {{ form.precio_compra }}
                                                    </div> 
                                                    <div >                                              
                                                       <br>                                  
                                                    </div>  
                                                    <div >
                                                        <label for="" id="" class="form-control-label">Precio de Venta:</label>
                                                    {{ form.precio_venta }}
                                                    </div> 
                                                    <div >                                              
                                                        <br>                                  
                                                    </div>  
                                                    <div >
                                                        <label for="" id="" class="form-control-label">Stock:</label>
                                                    {{ form.stock }}
                                                    </div> 
                                                    <div >                                              
                                                        <br>                                  
                                                    </div>  
                                                    <div >
                                                        <label for="" id="" class="form-control-label">Stock Crítico:</label>
                                                    {{ form.stock_critico }}
                                                    </div>
                                                    <div >                                              
                                                        <br>                                  
                                                    </div> 
                                                    <div >
                                                        <label for="" id="" class="form-control-label">Descripción:</label>
                                                       {{ form.descripcion }}
                                                   </div>  
                                            </div>
                                  
                                            <div class="col-6">
                                                
                                                <div >
                                                    <label for="" id="" class="form-control-label">Fecha de Vencimiento:</label>
                                                    <div class="input-group date" id="date_venc" data-target-input="nearest">
                                                        {{ form.fecha_vencimiento }}
                                                        <div class="input-group-append" data-target="#date_venc" data-toggle="datetimepicker">
                                                            <div class="input-group-text"><i class="fa fa-calendar"></i></div>
                                                        </div>
                                                    </div>
                                                
                                                </div> 
                                                <div >                                              
                                                    <br>                                  
                                                </div>  
                                                <div >
                                                    <label for="" id="" class="form-control-label">Proveedor Asociado:</label>
                                                {{ form.id_proveedor }}
                                                </div> 
                                                <div >                                              
                                                    <br>                                  
                                                </div>  
                                                <div >
                                                    <label for="" id="" class="form-control-label">Familia Asociada:</label>
                                                {{ form.id_familia }}
                                                </div>
                                                <div >                                              
                                                    <br>                                  
                                                </div>  
                                                <div >
                                                    <label for="" id="" class="form-control-label">Tipo de Producto Asociado:</label>
                                                {{ form.id_tipo_producto }}
                                                </div>
                                                <div >
                                                    <label for="" id="" class="form-control-label">Imagen:</label>
                                                {{ form.image }}
                                                </div>
                                            </div>
                                       
                                    </div> 
                                        
                                                                                                           
                                    </div>
                                </div>
                                <!-- /.card-body -->
                                <div class="card-footer">
                                    <a href="{{ list_url }}"><button type="button" class="btn btn-secondary"><i class="fas fa-times"></i> Cancelar</button></a>
                                    <button type="submit" class="btn btn-success float-right"><i class="fas fa-save"></i> {{ boton }} registro</button>
                                </div>
                                <!-- /.card-footer-->
                            </div>
                            <!-- /.card -->
                        </form>
                    </div>  
                </div> 
            </div>  
        </section>
    </div> 
    {% include "views/default/footer.html" %} 
</div>

{% endblock content %}
{% block js %}
    
    <script src="{% static 'dist/js/create.js' %}"></script>

    {% include "views/default/form.html" %} 

   
{% endblock js %}